CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

PurgeFitData Method (ActiveX)

2023-1-4 04:55| 发布者: admin| 查看: 593| 评论: 0|来自: AutoCAD

摘要: 清除样条曲线的拟合数据。

清除样条曲线的拟合数据。

支持的平台:仅窗口

签名

工 务 局:

object.PurgeFitData
对象

类型:样条

此方法适用的对象。

返回值(RetVal)

无返回值。

言论

移除样条曲线的拟合数据。

例子

工 务 局:

Sub Example_PurgeFitData()
    ' This example creates a spline object in model space.
    ' It then returns the current number of fit points,
    ' and then purges the fit data.

    Dim splineObj As AcadSpline
    Dim startTan(0 To 2) As Double
    Dim endTan(0 To 2) As Double
    Dim fitPoints(0 To 8) As Double
    
    startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0
    endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0
    fitPoints(0) = 0: fitPoints(1) = 0: fitPoints(2) = 0
    fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0
    fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0
    Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan)
    ZoomAll
    
    MsgBox "Before the purge there are " & splineObj.NumberOfFitPoints & " fit points.", , "PurgeFitData Example"

    ' Purge the fit data
    splineObj.PurgeFitData

    ThisDrawing.Regen True
    MsgBox "After the purge there are " & splineObj.NumberOfFitPoints & " fit points.", , "PurgeFitData Example"
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_PurgeFitData()
    ;; This example creates a spline object in model space.
    ;; It then returns the current number of fit points,
    ;; and then purges the fit data.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; Create the spline
    (setq startTan (vlax-3d-point 0.5 0.5 0)
          endTan (vlax-3d-point 0.5 0.5 0)
          fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8)))
    (vlax-safearray-fill fitPoints '(0 0 0
				     5 5 0
				     10 0 0
				    )
    )
  
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan))
    (vla-ZoomAll acadObj)
    
    (alert (strcat "Before the purge there are " (itoa (vla-get-NumberOfFitPoints splineObj)) " fit points."))

    ;; Purge the fit data
    (vla-PurgeFitData splineObj)

    (vla-Regen doc :vlax-true)
    (alert (strcat "After the purge there are " (itoa (vla-get-NumberOfFitPoints splineObj)) " fit points."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 12:36

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部